Package Details: sasquatch 4.3-7

Git Clone URL: https://aur.archlinux.org/sasquatch.git (read-only)
Package Base: sasquatch
Description: Tools for squashfs, a highly compressed read-only filesystem for Linux.
Upstream URL: https://github.com/devttys0/sasquatch
Keywords: sasquatch squashfs squashfs-tools unsquashfs
Licenses: GPL
Submitter: muhviehstarr
Maintainer: muhviehstarr
Last Packager: muhviehstarr
Votes: 3
Popularity: 0.099350
First Submitted: 2016-06-18 05:16
Last Updated: 2018-08-10 04:50

Latest Comments

« First ‹ Previous 1 2

harddisk_ripper commented on 2017-04-18 16:29

@muhviehstarr I was getting a makedev compile error for "unsquashfs.c" but was able to resolve with patch:

--- unsquashfs.c 2017-04-18 17:56:35.351634148 +0200
+++ unsquashfs.c.1 2017-04-18 17:55:45.364925097 +0200
@@ -33,6 +33,7 @@

#include <sys/sysinfo.h>
#include <sys/types.h>
+#include <sys/sysmacros.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <limits.h>

lgromanowski commented on 2017-03-01 21:05

Hi,
please change "wget" call in PKGBUILD to "curl -LO" because it's downloading html page from sourceforge (wget is not following redirections).

muhviehstarr commented on 2016-10-18 15:26

should be fixed

gcarq commented on 2016-09-13 19:44

Add https://downloads.sourceforge.net/project/squashfs/squashfs/squashfs4.3/squashfs4.3.tar.gz to the source array with the correct hashes.
Please don't override the thread count, it's already specified in /etc/makepkg

malosasha commented on 2016-08-11 10:06

it does not compil, you need to appluy the CC patch as well :

- INSTALL_DIR="${pkgdir}"/usr/bin CC=gcc-4.9 make -j5
+ INSTALL_DIR="${pkgdir}"/usr/bin CC=gcc CPPFLAGS="$CPPFLAGS -fPIC -Wno-error=misleading-indentation" make -j5

muhviehstarr commented on 2016-07-28 01:55

switched to git. i have added gcc49 as a makedepend.

muhviehstarr commented on 2016-07-14 16:38

Thank you!

This was my first package here :)

I dont usw GCC 4.9 for host builds. Only AS arm toolchains for crosscompile.

I will add the git repo instead of the static files provided.

malosasha commented on 2016-07-14 14:34

Here is a small diff on the PKGBUILD that allow the compilation of this tool ;

--- PKGBUILD.ORIGINAL 2016-06-18 07:11:55.000000000 +0100
+++ PKGBUILD 2016-07-13 23:45:25.586491201 +0100
@@ -11,7 +11,7 @@
url="https://github.com/devttys0/sasquatch"
license=("GPL")
arch=('i686' 'x86_64')
-depends=('gzip' 'zlib' 'lzo' 'xz' 'lz4')
+depends=('gzip' 'zlib' 'lzo' 'xz' 'lz4' 'gcc49')
source=("http://downloads.sourceforge.net/sourceforge/squashfs/squashfs${pkgver}.tar.gz"
"patch0.txt.gz"
"Makefile")
@@ -28,7 +28,7 @@

build() {
cd ${srcdir}/squashfs${pkgver}/${_origpkgname}
- INSTALL_DIR="${pkgdir}"/usr/bin CC=gcc-4.9 make -j5
+ INSTALL_DIR="${pkgdir}"/usr/bin CC=gcc CPPFLAGS="$CPPFLAGS -fPIC -Wno-error=misleading-indentation" make -j5
}

package() {

malosasha commented on 2016-07-13 22:12

Does not compile anymore :
==> Starting build()...
gcc-4.9 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -I. -I./LZMA/lzma465/C -I./LZMA/lzmalt -I./LZMA/lzmadaptive/C/7zip/Compress/LZMA_Lib -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"gzip\" -Wall -Werror -DGZIP_SUPPORT -DLZMA_SUPPORT -DXZ_SUPPORT -DLZO_SUPPORT -DLZ4_SUPPORT -DXATTR_SUPPORT -DXATTR_DEFAULT -D_FORTIFY_SOURCE=2 -c -o unsquashfs.o unsquashfs.c
make: gcc-4.9: Command not found
make: *** [<builtin>: unsquashfs.o] Error 127